WSLAY_EVENT_GET_WRITE_ENABLED(3)

NAME
wslay_event_get_write_enabled - Query whether the event-based API context allows write operation

SYNOPSIS

#include <wslay/wslay.h>

int wslay_event_get_write_enabled(wslay_event_context_ptr ctx)

DESCRIPTION

wslay_event_get_write_enabled() returns 1 if the event-based API context allows write operation, or return 0.

After wslay_event_shutdown_write() is called, wslay_event_get_write_enabled() returns 0.

SEE ALSO

wslay_event_shutdown_write()

AUTHOR
Tatsuhiro Tsujikawa

COPYRIGHT
2012, 2015, Tatsuhiro Tsujikawa